<?php
require("../../config/koneksi.php");
require("../../config/function.php");
require("../../config/crud.php");
(isset($_GET['pg'])) ? $pg = $_GET['pg'] : $pg = '';

if ($pg == 'tambah') {
  $where = [
				'tp' => $_POST['tp'],
				'tingkat'=>$_POST['tingkat'],
				 'kodemap'=>$_POST['mapel']
				 
    ];
    $data = [
				'tp' => $_POST['tp'],
				'tingkat'=>$_POST['tingkat'],
				 'kodemap'=>$_POST['mapel'],
				 'idguru'=>$_POST['guru'],
				'fasa'=>$_POST['fase'],
			   'tujuan' => $_POST['tujuan']
    ];
	
	 $cek = rowcount($koneksi, 'tujuan', $where);
            if ($cek == 0) {
            $exec = insert($koneksi, 'tujuan', $data);
            echo $exec;
        }
}
if ($pg == 'edit') {
  
     $data = [
                
			   'tujuan' => $_POST['tujuan']
    ];
	
           $exec = update($koneksi, 'tujuan', $data,['id_tujuan' => $_POST['id']]);
            echo $exec;
			
    }
if ($pg == 'materi') {
   $where = [
	            'lm' => $_POST['lm'],
                'kodemap' => $_POST['mapel'],
				'tingkat'=>$_POST['tingkat']
			
			 
    ];
    $data = [
	            'lm' => $_POST['lm'],
                'kodemap' => $_POST['mapel'],
				'tingkat'=>$_POST['tingkat'],
				'idguru'=>$_POST['guru'],
			   'materi' => $_POST['materi']
    ];
	        $cek = rowcount($koneksi, 'lingkup', $where);
            if ($cek == 0) {
            $exec = insert($koneksi, 'lingkup', $data);
            echo $exec;
        }
}
if ($pg == 'editmateri') {
  
    
          $data = [
              
			    'materi' => $_POST['materi']
    ];
				$exec = update($koneksi, 'lingkup', $data,['id' => $_POST['id']]);
            echo $exec;
			
    }
if ($pg == 'hapus') {
    $id = $_POST['id'];
    delete($koneksi, 'tujuan', ['id_tujuan' => $id]);
}
if ($pg == 'hapusmateri') {
    $id = $_POST['id'];
    delete($koneksi, 'lingkup', ['id' => $id]);
}
if ($pg == 'ambil_tingkat') {
    $fase = $_POST['fase'];
    $sql = mysqli_query($koneksi, "SELECT * FROM siswa WHERE fase='" . $fase . "' GROUP BY tingkat");
   while ($data = mysqli_fetch_array($sql)) {
        echo "<option value='$data[level]'>$data[level]</option>";
    }
}